/*SoftPot_Example.ino
Example sketch for SparkFun's soft membrane potentiometer
  (https://www.sparkfun.com/products/8680)
Jim Lindblom @ SparkFun Electronics
April 28, 2016

- Connect the softpot's outside pins to 5V and GND (the outer pin with an arrow
indicator should be connected to GND). 
- Connect the middle pin to A0.

As the voltage output of the softpot changes, a line graph printed to the
serial monitor should match the wiper's position.

Development environment specifics:
Arduino 1.6.7
******************************************************************************/
const int SOFT_POT_PIN = A0; // Pin connected to softpot wiper

const int GRAPH_LENGTH = 40; // Length of line graph

int ledPin = 13; //pin 13 on sophie's bueno board
int brightness = 0;    // how bright the LED is
int fadeAmount = 10;    // how many points to fade the LED by

void setup() 
{
  Serial.begin(9600);
  pinMode(SOFT_POT_PIN, INPUT);
  pinMode(ledPin, OUTPUT);
  
}

void loop() 
{
  // Read in the soft pot's ADC value
  int softPotADC = analogRead(SOFT_POT_PIN);
  // Map the 0-1023 value to 0-40
 int softPotPosition = map(softPotADC, 0, 1023, 0, GRAPH_LENGTH);

 int brightnessLed = analogRead(SOFT_POT_PIN);

  // Print a line graph:
  //Serial.print("<"); // Starting end
 // for (int i=0; i<GRAPH_LENGTH; i++)
 //{
 //   if (i == softPotPosition) Serial.print("|");
 //   else Serial.print("-");
 // }
 // Serial.println("> (" + String(softPotADC) + ")");

Serial.println(softPotADC);


analogWrite(ledPin, brightness);
brightness = brightnessLed + fadeAmount;
if 
(brightnessLed = 0 || brightnessLed >= 900) 
{
    fadeAmount = -fadeAmount;
}

  delay(100);

if (softPotADC < 0.5)
{
 digitalWrite(ledPin, LOW); 
}

else
{
  digitalWrite(ledPin, LOW);
}

}

